#include<avr/io.h>
#include<util/delay.h>
#include "lcd.h"
#include "keyboard.h"

// *************************************************
// FCE: kontrola stisku klavesnice
// INC: "lcd.h", "keyboard.h"
// DAT: 13.4.2012
// VER: 1 
// *************************************************

  
unsigned int key;

// kontrola prvniho sloupce
void check1(void)
{
	if(bit_is_clear(PIND, 7))					
		{							
			key = 1;	
		}
	else if(bit_is_clear(PIND, 4))					
		{							
			key = 4;
		}
	else if(bit_is_clear(PIND, 5))					
		{							
			key = 7;			
		}
	else if(bit_is_clear(PIND, 6))					
		{							
			key = 10;
		}
}

// kontrola druheho sloupce
void check2(void)
{
	if(bit_is_clear(PIND, 7))					
		{							
			key = 2;	
		}
	else if(bit_is_clear(PIND, 4))					
		{							
			key = 5;	
		}
	else if(bit_is_clear(PIND, 5))					
		{							
			key = 8;			
		}
	else if(bit_is_clear(PIND, 6))					
		{							
			key = 0;
		}
}

// kontrola tretiho sloupce
void check3(void)
{
	if(bit_is_clear(PIND, 7))					
		{							
			key = 3;	
		}
	else if(bit_is_clear(PIND, 4))					
		{							
			key = 6;	
		}
	else if(bit_is_clear(PIND, 5))					
		{							
			key = 9;			
		}
	else if(bit_is_clear(PIND, 6))					
		{							
			key = 11;
		}
}


		



 
 
